;Part of msn.mrc
;(c) Andy Carvell 2002
;-------------------------

dialog connect {
  title "Connect"
  size -1 -1 150 57
  icon $mircdir $+ msn/msn2.ico
  option dbu
  text "Sign-In Name",1, 5 5 40 10, limit 300
  text "Password",2, 6 25 40 10, limit 300
  edit %msn.user,3, 50 3 90 10
  edit "",4, 50 23 90 10, pass
  text "eg. someone@hotmail.com",5, 53 13 100 10
  check "Appear Offline on Connect",6, 5 35 100 10
  icon 7, 130 35 150 150, $mircdir $+ msn/msn.ico
  button "Sign-In",8, 50 45 40 10, ok
}

dialog control {
  title "Control Panel"
  size -1 -1 218 78
  option dbu
  icon $mircdir $+ msn/msn.ico, 0
  button "Add User", 1, 6 9 40 10
  button "Delete User", 2, 6 20 40 10
  button "View Groups", 3, 100 9 50 10
  button "View Block List", 4, 100 20 50 10
  button "Block User", 5, 47 9 40 10
  button "Unblock User", 6, 47 20 40 10
  button "Users see me typing?", 7, 151 20 60 10
  button "Change MSN Name", 8, 151 9 60 10
  button "View Conversation Logs", 9, 100 52 60 10
  button "Turn Logging On/Off", 10, 151 31 60 10
  button "Chat Window Style", 11, 6 63 60 10
  box "Users", 12, 3 1 90 33
  box "General", 13, 96 1 119 43
  box "Appearance", 14, 3 55 70 21
  box "Miscellaneous", 15, 96 44 70 21
  button "Proxy Settings", 16, 100 31 50 10
  button "invisible", 17, 1 1 0 0, ok
  button "Enable", 18, 7 42 40 10
  box "Sounds", 19, 3 34 90 21
  button "Disable", 20, 49 42 40 10
  text v $+ $msnversion, 21, 200 70 20 8
}

dialog mail {
  title "New E-Mail Message"
  size -1 -1 90 35
  icon $mircdir $+ msn/msn.ico
  option dbu
  text %msn.newmail,1, 5 5 120 10
  button "Retreive",2, 5 20 35 10, ok
  button "Close",3, 45 20 35 10, cancel
}

dialog proxy {
  title "Proxy Settings"
  size -1 -1 131 112
  option dbu
  icon $mircdir $+ \msn\msn.ico, 0
  box "HTTP Proxy", 8, 3 49 120 31
  text "Socks Server:", 10, 6 24 51 8
  text "Socks Port:", 11, 6 34 51 8
  edit %msn.server.socks.port, 12, 63 33 24 10
  edit %msn.server.socks, 13, 63 23 55 10
  box "Socks", 14, 3 15 120 33
  text "HTTP Proxy Server:", 15, 6 58 51 8
  text "HTTP Proxy Port:", 16, 6 68 51 8
  edit %msn.server.proxy.port, 17, 64 67 24 10
  edit %msn.server.proxy, 18, 64 57 55 10
  button "OK", 19, 24 98 37 12, ok
  radio "No Proxy", 20, 3 3 50 10
  radio "Socks", 21, 54 3 50 10
  radio "HTTP", 22, 104 3 50 10
  button "Cancel", 23, 69 98 37 12, cancel
  text "Note: You may not be able to talk to people behind Socks or HTTP Proxy, I'm working on it.", 2, 3 81 126 15
}

on *:dialog:connect:sclick:8:{
  set %msn.user $did(3)
  set %msn.pass $did(4)
  set %msn.chg $did(6).state
  dialog -x connect
  msnstart
}

on *:dialog:connect:edit:*: {
  if ( $did(connect,3) == $null || $did(connect,4) == $null ) { did -b connect 8 } 
  else { did -e connect 8 }
}

on *:dialog:control:sclick:*:{
  if ( $did == 1 ) { addmsnuser $input(Enter the e-mail address of the user you wish to add:,5,Add User) }
  if ( $did == 2 ) { delmsnuser $input(Enter the e-mail address of the user you wish to delete:,5,Delete User) }
  if ( $did == 3 ) { sendmsn SYN %msn.main 0 }
  if ( $did == 4 ) { sendmsn LST %msn.main BL }
  if ( $did == 5 ) { blockuser $input(Enter the e-mail address of the user you wish to block:,5,Block User) }
  if ( $did == 6 ) { unblockuser $input(Enter the e-mail address of the user you wish to unblock:,5,Unblock User) }
  if ( $did == 7 ) { if ( $?!"Allow users to see you typing?" == $true ) { set %msn.showtype YES } }
  if ( $did == 8 ) {
    set %msn.newname $?"New MSN Name?"
    set %msn.newname $urlencode(%msn.newname)
    if ( %msn.newname == $null ) { halt }
    set %msn.newname $replace(%msn.newname,$chr(32),$chr(37) $+ 20)
    sendmsn REA %msn.main %msn.user %msn.newname
    set %msn.name $rawurldecode( %msn.newname )
    echo @Messenger 10 $+ *** MSN Name changed to $rawurldecode( %msn.name )
  }
  if ( $did == 9 ) { viewlogs }
  if ( $did == 10 ) { 
    if ( %msn.log == 1 ) { disablelog | set %msn.temp $input(Conversation Logging Disabled,4,Conversation Logging) }
    else { enablelog | set %msn.temp $input(Conversation Logging Enabled,4,Conversation Logging) }
  }
  if ( $did == 11 ) {
    set %msn.chat.style $input(Would you like MSN Chat windows to open with the same appearance as Channel windows?,168,Chat Window Style)
  } 
  if ( $did == 16 ) { dialog -m proxy proxy }
  if ( $did == 18 ) { 
    set %msn.sounds on
    set %msn.temp $input(Sounds Enabled,oi)
  }
  if ( $did == 20 ) {
    set %msn.sounds off
    set %msn.temp $input(Sounds Disabled,oi)
  }

}

on *:dialog:control:init:*:{
  if ( $sock(msn) == $null ) {
    did -b control 1
    did -b control 2
    did -b control 3
    did -b control 4
    did -b control 5
    did -b control 6
    did -b control 8
    did -b control 22
  }
}

on *:dialog:mail:sclick:2:{
  run http://www.hotmail.com
}

on *:dialog:mail:init:*:{
  if ( %msn.sounds == on ) { splay $mircdir $+ msn\mail.wav }
}

on *:dialog:proxy:init:*:{
  if ( %msn.useproxy == no ) { did -c proxy 20 }
  if ( %msn.useproxy == socks ) { did -c proxy 21 }
  if ( %msn.useproxy == proxy ) { did -c proxy 22 }
}

on *:dialog:proxy:sclick:19:{
  set %msn.server.proxy $did(18)
  set %msn.server.proxy.port $did(17)
  set %msn.server.socks $did(13)
  set %msn.server.socks.port $did(12)
  if ( $did(20).state == 1 ) { set %msn.useproxy no }
  if ( $did(21).state == 1 ) { set %msn.useproxy socks }
  if ( $did(22).state == 1 ) { set %msn.useproxy proxy }
  if ( %msn.useproxy == socks && %msn.server.proxy == $null && $version == 6.02 ) {
    set %msn.temp $input(You *may* experiance problems with password authentication if you use a socks server and do not specify an HTTP Proxy server to authenticate from using mIRC 6.02.,4,Proxy Server)
  }
}
